Package com.avaya.clientservices.media.capture

## Enum VideoCaptureController.Orientation

- java.lang.Object
- - java.lang.Enum<VideoCaptureController.Orientation>
  - - com.avaya.clientservices.media.capture.VideoCaptureController.Orientation

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoCaptureController.Orientation>`
  Enclosing class:
    VideoCaptureController

      public static enum VideoCaptureController.Orientation
      extends java.lang.Enum<VideoCaptureController.Orientation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LandscapeOnly` |
    `LandscapeOrPortrait` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoCaptureController.Orientation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoCaptureController.Orientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LandscapeOnly

          public static final VideoCaptureController.Orientation LandscapeOnly

    - #### LandscapeOrPortrait

          public static final VideoCaptureController.Orientation LandscapeOrPortrait

  - ### Method Detail

    - #### values

          public static VideoCaptureController.Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoCaptureController.Orientation c : VideoCaptureController.Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoCaptureController.Orientation valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null